Subject: APPNTAM questions

From: "Michael O. Allen (919-254-4442)" <[email-masked]>
Date: Wed, 27 Apr 94 16:29:31 EDT

Ref:  Your note of Fri, 22 Apr 1994 18:14:14 +0100 (attached)

Neil,

Thanks for your excellent questions.  I have provided some responses
below.

If there is any further discussions about APPNTAM or other network
management topics, may I suggest that we move to the snasnamp mailing
list ([email-masked])?

Regards,
Mike Allen

----------------------------- Note follows ------------------------------
Message-Id: <[email-masked]>
From: [email-masked] (Neil Collins)
Date: Fri, 22 Apr 1994 18:14:14 +0100
X-Mailer: Mail User's Shell (7.2.4 2/2/92)
To: [email-masked]
Subject: APPNTAM questions

I have some questions about the APPNTAM feature of Netview.  As I understand
it the two parts of the system are:

- New functions in Netview to collect and display the topology and session
  accounting information.

- Agent software which currently just runs on Comm Manager/2 and which gathers
  local node information using the internal SYSTEM_REQUEST application and
  communicates with Netview, using CMIP protocols encapsulated in a LU6.2
  pipe.

My questions are:

- Does IBM envisage third party products participating in APPNTAM?  If so:

  - Are the APPNTAM architecture and CMIP and LU6.2 flows documented, or will
    they be in the future?

>  Yes, third-party participation in APPNTAM is welcome.  The
>  specifications have been published in the following IBM
>  publications:
>
>    IBM SystemView Mapping of OSI Upper Layers to MDS for CMIP over
>    SNA (SC71-7137)
>
>    IBM SystemView Managed Resource Model Reference and Templates,
>    Volume 1:  Generic Definitions   (SC71-7138)
>
>    IBM SystemView Managed Resource Model Reference and Templates,
>    Volume 2:  APPN and SNA Subarea Management  (SC71-7139)
>
>  On-line versions of these books are also included in the February
>  1994 update of the CDROM "The Best of APPC, APPN, and CPI-C"
>  (SK2T-2013-02).  In addition, the following publications may also be
>  of interest:
>
>    NetView APPNTAM Feature Implementation Guide (SC31-7050)
>
>    NetView APPNTAM Feature Topology Data Model Reference (SC31-7051)
>
>    NetView APPNTAM Agent Implementation Guide (SC31-7129)

  - Does IBM intend the APPNTAM architecure to be submitted to the AIW?

>  The architecture specification implemented by APPNTAM is published
>  and available to anyone who is interested.  However, the majority of
>  the interest expressed by AIW participants has been in the realm of
>  SNMP management for APPN, hence the emphasis of the working sessions
>  so far.  A presentation on APPNTAM and its underlying technology is
>  tentatively planned for the June AIW, so if you are interested in
>  more technical details, that may be a good place to start.

- Can NetView/6000, or any other IBM product, also participate in an APPNTAM
  managed network, or will they be able to in the future?

>  As I mentioned at the Anaheim AIW session, there is reportedly an
>  APPNTAM agent under development for VTAM, although no announcement
>  has been made yet about availability.  Beyond that, I can't say what
>  other IBM products might have planned.

- Are there any plans for integrating other network management strategies into
  APPNTAM (for example by gatewaying to SNMP)?

>  IBM has prototyped a gateway that provides such a service, but no
>  product plans have been announced.  The prototype has been described
>  in papers presented recently at IEEE and the Network Management
>  Forum.  We believe that such a gateway is a reasonable way to
>  provide integration at NetView/390 for user networks that have a
>  mixture of CMIP and SNMP APPN agent products.

- Is this IBM's strategic direction for managing APPN networks?

>   IBM's strategy for managing APPN networks has several parts:
>
>   *   Provide management solutions on diverse platforms
>
>   *   Base new development on industry-standard management technology
>
>   *   Use existing SNA/MS applications to complement emerging
>       industry standard applications
>
>   *   Develop mechanisms for integration of management across
>       different platforms and protocols
>
>  The diversity of APPN products and user environments precludes a
>  simpler strategy based upon a single management protocol or a single
>  management platform.  Thus APPNTAM provides a solution for host-
>  centric environments, and it uses the industry standard CMIP
>  protocol.  For network-centric environments, the most appropriate
>  platform is something like NetView/6000, with the prevalent industry
>  standard management protocol of SNMP.  APPN products must make the
>  appropriate choices based upon their target marketplaces.

--
==============================================================
Neil Collins ([email-masked])
Data Connection Limited
Telephone:   +44 81 366 1177
Fax:         +44 81 367 8501
==============================================================